<?xml version="1.0" encoding="UTF-8"?>
<ejb-jar-bnd xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://websphere.ibm.com/xml/ns/javaee"
    xsi:schemaLocation="http://websphere.ibm.com/xml/ns/javaee http://websphere.ibm.com/xml/ns/javaee/ibm-ejb-jar-bnd_1_0.xsd" version="1.0">
  <message-driven name="LoaderMDB">
    <jca-adapter activation-spec-binding-name="eis/LoaderQueueMDB" destination-binding-name="jms/LoaderQueue"/>
  </message-driven>

  <message-driven name="ReceiveMDB">
    <jca-adapter activation-spec-binding-name="eis/ReceiveQueueMDB" destination-binding-name="jms/ReceiveQueue"/>
  </message-driven>

  <message-driven name="LargerOrderMDB">
    <jca-adapter activation-spec-binding-name="eis/LargeOrderQueueMDB" destination-binding-name="jms/LargeOrderQueue"/>
  </message-driven>

  <message-driven name="FulfillOrderMDB">
    <jca-adapter activation-spec-binding-name="eis/FulfillOrderQueueMDB" destination-binding-name="jms/FulfillOrderQueue"/>
  </message-driven>

  <message-driven name="BuyerMDB">
    <jca-adapter activation-spec-binding-name="eis/BuyerQueueMDB" destination-binding-name="jms/BuyerQueue"/>
    <resource-ref name="org.spec.jent.ejb.supplier.mdb.BuyerMDB/queueConnFactory" binding-name="jms/BuyerQueueConnectionFactory"/>
    <resource-env-ref name="org.spec.jent.ejb.supplier.mdb.BuyerMDB/purchaseOrderQueue" binding-name="jms/PurchaseOrderQueue"/>
  </message-driven>

  <message-driven name="PurchaseOrderMDB">
    <jca-adapter activation-spec-binding-name="eis/PurchaseOrderMDB" destination-binding-name="jms/PurchaseOrderQueue"/>
  </message-driven>

  <session name="LargeOrderSenderSession">
    <resource-ref name="org.spec.jent.ejb.orders.session.LargeOrderSenderSession/queueConnFactory" binding-name="jms/LargeOrderQueueConnectionFactory"/>
    <resource-env-ref name="org.spec.jent.ejb.orders.session.LargeOrderSenderSession/queue" binding-name="jms/LargeOrderQueue"/>
  </session>

  <session name="SupplierSession">
    <resource-ref name="org.spec.jent.ejb.supplier.session.SupplierSession/queueConnFactory" binding-name="jms/SupplierQueueConnectionFactory"/>
    <resource-env-ref name="org.spec.jent.ejb.supplier.session.SupplierSession/queue" binding-name="jms/ReceiveQueue"/>
  </session>

  <session name="LoaderSession">
    <resource-ref name="org.spec.jent.loader.session.LoaderSession/queueConnFactory" binding-name="jms/LoaderQueueConnectionFactory"/>
    <resource-env-ref name="org.spec.jent.loader.session.LoaderSession/loadQueue" binding-name="jms/LoaderQueue"/>
  </session>

  <session name="MessageSenderSession">
    <resource-ref name="org.spec.jent.ejb.mfg.session.MessageSenderSession/fulfillOrderQueueConnFactory"
        binding-name="jms/FulfillOrderQueueConnectionFactory"/>
    <resource-ref name="org.spec.jent.ejb.mfg.session.MessageSenderSession/buyerQueueConnFactory" binding-name="jms/BuyerQueueConnectionFactory"/>
    <resource-env-ref name="org.spec.jent.ejb.mfg.session.MessageSenderSession/fulfillQueue" binding-name="jms/FulfillOrderQueue"/>
    <resource-env-ref name="org.spec.jent.ejb.mfg.session.MessageSenderSession/buyerQueue" binding-name="jms/BuyerQueue"/>
  </session>

</ejb-jar-bnd>

